Bug 5326 - ambiguous magic
: ambiguous magic
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/file)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 5168
:
  Show dependency tree
 
Reported: 2004-10-13 19:42 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-13 19:42:04
$ grep -5 Composer\ 669 /usr/share/file/magic

# MTM/669/FAR/S3M/ULT/XM format checking [Aaron Eppert, aeppert@dialin.ind.net]
# Oct 31, 1995
# fixed by <doj@cubic.org> 2003-06-24
0       string          MTM             MultiTracker Module sound file
0       string          if              Composer 669 Module sound data
0       string          JN              Composer 669 Module sound data (extended
format)
0       string          MAS_U           ULT(imate) Module sound data

0       string          FAR             Module sound data
>4      string          >\15            Title: "%s"

----
строчка с if неоднозначна, мягко говоря.
------- Comment #1 From 2004-10-13 19:48:06 -------
если недосуг -- могу сам nmu сделать. горит.
------- Comment #2 From 2004-10-17 21:03:52 -------
Fixed in file-4.10-alt1